# $Id: cdi2iso.spec 705 2007-02-04 03:46:23Z rpmbuild $
#
# Copyright (c) 2007 Mike Arnold <rpmpackaging@razorsedge.org>
#
# Please submit bugfixes or comments via http://rpm.razorsedge.org/bugs/
#

Summary: Utility to convert DiscJuggler image to ISO-9660
Name: cdi2iso
Version: 0.1
Release: %RErelease 1
Epoch: 0
License: GPL
Group: Applications/File
URL: http://developer.berlios.de/projects/cdi2iso/
Source0: http://download.berlios.de/%{name}/%{name}-%{version}-src.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-macros-razorsedge

%description
cdi2iso is a very simple utility to convert DiscJuggler image to the
standard ISO-9660 format.

%prep
%setup -q -n %{name}
find . -type f -exec chmod -x {} \;

%build
%{__cc} $RPM_OPT_FLAGS ./src/cdi2iso.c -o cdi2iso

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__install} -m 0755 -D cdi2iso ${RPM_BUILD_ROOT}%{_bindir}/cdi2iso

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG gpl.txt
%{_bindir}/*

%changelog
* Sat Feb 03 2007 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 0.1-1
- First build.

